#
# spec file for package arptables
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           arptables
Summary:        User Space Tool to Set Up and Maintain ARP Filtering Tables
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Security
Version:        0.0.4
Release:        8.39
%define oversion	v0.0.4
Url:            http://ebtables.sourceforge.net/

#Git-Clone:	git://git.netfilter.org/arptables
Source:         http://downloads.sf.net/ebtables/arptables-v0.0.4.tar.gz
Source1:        COPYING
BuildRequires:  coreutils
BuildRequires:  perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
arptables is a user space tool used to set up and maintain the tables
of ARP rules in the Linux kernel. These rules inspect the ARP frames.
arptables is similar to the iptables userspace tool, but less
complicated.

%prep
%setup -qn %name-%oversion

%build
make %{?_smp_mflags} all PREFIX="%_prefix" COPT_FLAGS="%optflags -W -Wall"
cp %{S:1} .

%install
%make_install PREFIX="%_prefix" MANDIR="%_mandir"
# This is a RH-specific init script
rm -Rf "%buildroot/etc/rc.d"

b="%buildroot"
mv "$b/%_sbindir/arptables" "$b/%_sbindir/arptables-legacy"
mv "$b/%_sbindir/arptables-restore" "$b/%_sbindir/arptables-legacy-restore"
mv "$b/%_sbindir/arptables-save" "$b/%_sbindir/arptables-legacy-save"
for i in arptables arptables-restore arptables-save; do
	ln -fs "/etc/alternatives/$i" "$b/%_sbindir/$i"
done

%post
update-alternatives --force \
	--install "%_sbindir/arptables" arptables "%_sbindir/arptables-legacy" 1 \
	--slave "%_sbindir/arptables-restore" arptables-restore "%_sbindir/arptables-legacy-restore" \
	--slave "%_sbindir/arptables-save" arptables-save "%_sbindir/arptables-legacy-save"

%postun
if test "$1" = 0; then
	update-alternatives --remove arptables "%_sbindir/arptables-legacy"
fi

%files
%defattr(-,root,root)
%ghost %_sysconfdir/alternatives/arptables
%ghost %_sysconfdir/alternatives/arptables-restore
%ghost %_sysconfdir/alternatives/arptables-save
%_sbindir/arptables*
%_mandir/*/arptables*
%doc COPYING

%changelog
* Fri Aug 24 2018 jengelh@inai.de
- Move arptables to arptables-legacy and use update-alternatives to
  offer a selection mechanism.
* Wed Feb  8 2017 jengelh@inai.de
- Add missing space to description [boo#1022775]
* Sun Mar 29 2015 jengelh@inai.de
- Cleanup specfile, and note down git repo URL.
* Thu Jan 10 2013 jengelh@inai.de
- Update to new upstream release 0.0.4
  * also print the -i and -o interface if -v is not specified
  * fix handling of inversion flag
  * let --proto-type also accept hexadecimal input
  * add xtables CLASSIFY target
- Dropped arptables-install.diff and arptables-warnings.diff,
  merged upstream
- Switch version number to what upstream uses (1.0.4 -> 0.0.4),
  yast/libzypp can handle downgrades for some years now
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Fri May  7 2010 meissner@suse.de
- actually apply RPM_OPT_FLAGS.
* Mon Mar 15 2010 jengelh@medozas.de
- drop JF fork and use the mainline arptables again
- update to v0.0.3-4
  * Update the userspace arptables tool to kernels 2.6.16 and
    above. A change in the kernel API broke compatibility with the
    arptables tool around release 2.6.16, causing the filtering to
    behave unexpectedly.
* Sat Dec 19 2009 jengelh@medozas.de
- Enable parallel build
* Mon Sep  7 2009 mt@suse.de
- Fixed to close opened files (bnc#518204).
* Tue Jan 13 2009 mt@suse.de
- Added symlink to the GPL-2.0.txt license file (bnc#424589).
* Fri Sep  5 2008 mt@suse.de
- Initial arptables_jf-0.0.8 package (fate#303394).
